import React from "react";
import { Chip, Stack } from "@mui/material";
import CommitIcon from "@mui/icons-material/Commit";
import { JobGitRefLink } from "./JobGitRefLink";
import { JobTypeIcon } from "../JobIcons";
import { InternalLink } from "@ess-ics/ce-ui-common";

export const JobSummaryColumn = ({ job, colorStyle }) => {
  return (
    <Stack>
      <JobTypeIcon
        type={job.type}
        colorStyle={colorStyle}
        labelPosition="right"
      />
      <InternalLink
        to={`/iocs/${job.iocId}`}
        label={`IOC Details, ${job.iocName}`}
      >
        {job.iocName}
      </InternalLink>
      <Stack
        flexDirection="row"
        gap={0.5}
        alignItems="center"
      >
        <InternalLink
          to={`/jobs/${job?.id}`}
          label={`Job Details, ID ${job.id}`}
        >
          {`#${job.id}`}
        </InternalLink>
        {job.type === "DEPLOY" ? (
          <Chip
            size="small"
            icon={<CommitIcon />}
            label={<JobGitRefLink job={job} />}
          />
        ) : null}
      </Stack>
    </Stack>
  );
};
